<template>
  <div class="equipmentManagement">
    <IndexHeader></IndexHeader>
    <Banner></Banner>
    <Flow></Flow>
    <Footer></Footer>
  </div>
</template>

<script>
import IndexHeader from "@/components/IndexHeader";
import Banner from "@/views/equipmentManagement/components/Banner";
import Flow from "@/views/equipmentManagement/components/Flow";
import Footer from "@/components/Footer";
export default {
  components: {
    IndexHeader,
    Banner,
    Flow,
    Footer,
  },
  created() {
    this.checkpermission();
  },
  methods: {
    checkpermission() {
      const userInfo = JSON.parse(sessionStorage.getItem("userInfo"));
      if (!userInfo) {
        this.$router.push("/login");
      }
      const val = userInfo.permissions.find((item) => {
        return item == "deviceMng";
      });
      if (val) {
        this.$router.push("/equipmentList");
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.equipmentManagement {
  .IndexHeader {
    ::v-deep .header {
      position: absolute;
    }
  }
}
</style>